<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$vehiculo = remove_junk($db->escape($_POST['vehiculo']));
	$propietario = remove_junk($db->escape($_POST['propietario']));
    $nombre = remove_junk($db->escape($_POST['nombre']));
    $marca = remove_junk($db->escape($_POST['marca']));
    $modelo = remove_junk($db->escape($_POST['modelo']));
    $traccion = remove_junk($db->escape($_POST['traccion']));
    $placa = remove_junk($db->escape($_POST['placa']));
    $color = remove_junk($db->escape($_POST['color']));
    $potencia = remove_junk($db->escape($_POST['potencia']));
    $cilindro = remove_junk($db->escape($_POST['cilindro']));
    $cod_patrimonial = remove_junk($db->escape($_POST['cod_patrimonial']));
    $anio_produccion = remove_junk($db->escape($_POST['anio_produccion']));
    $anio_compra = remove_junk($db->escape($_POST['anio_compra']));
    $pre_compra = remove_junk($db->escape($_POST['pre_compra']));
    $combustible = remove_junk($db->escape($_POST['combustible']));
    $accesorio = remove_junk($db->escape($_POST['accesorio']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $estado = remove_junk($db->escape($_POST['estado']));
    $observacion = remove_junk($db->escape($_POST['observacion']));
    $transmision = remove_junk($db->escape($_POST['transmision']));
    $motor = remove_junk($db->escape($_POST['motor']));
    $chasis = remove_junk($db->escape($_POST['chasis']));
    $compra = remove_junk($db->escape($_POST['compra']));
   
   
   

    



 
    $query ="UPDATE vehiculo SET NombreVehiculo='$nombre',CodigoPatrimonialVehiculo='$cod_patrimonial',MarcaVehiculo='$marca',ModeloVehiculo='$modelo',PlacaVehiculo='$placa',ColorVehiculo='$color',PotenciaVehiculo='$potencia',CilindroVehiculo='$cilindro',TraccionVehiculo='$traccion',AccesoriosVehiculo='$accesorio',AñoProduccionVehiculo='$anio_produccion',AñoCompraVehiculo='$anio_compra',PrecioCompraVehiculo='$pre_compra',IdCombustible='$combustible',IdResponsableActivo='$responsable',ObservacionesVehiculo='$observacion',TrasmisionActivoVehiculo='$transmision',SerieMotorActivoVehiculo='$motor',SerieChasisVehiculo='$chasis',EstadoActivoMI='$estado',FechaCompraVehiculo='$compra',IdCliente='$propietario' WHERE id = $vehiculo";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 


